<!--车辆排班   保养弹框-->
<template>
  <el-dialog :title="currentItem.title" :visible.sync="zhanlan" width="10%">
    <el-form :model="currentItem"  ref="currentItem" label-width="120px">
      <el-form-item label="车牌号:">
        <span>{{currentItem.item.numberPlate}}</span>
      </el-form-item>
      <el-form-item label="所属公司:">
        <span>{{currentItem.item.subordinateBranchName}}</span>
      </el-form-item>
      <el-form-item label="申请人:">
        <span>{{currentItem.ii.vehicleBookRecord.bookUserName}}</span>
      </el-form-item>
      <el-form-item label="提车公司:">
        <span>{{currentItem.item.parkCompanyName}}</span>
      </el-form-item>
      <el-form-item label="还车公司:">
        <span>{{currentItem.item.destinationBranchCompanyName}}</span>
      </el-form-item>
      <el-form-item label="预定时间:">
        <span>{{currentItem.ii.vehicleBookRecord.bookStartDate}}~{{currentItem.ii.vehicleBookRecord.bookEndDate}}</span>
      </el-form-item>
      <el-form-item label="用途:">
        <span>{{currentItem.title == "展览用车"?"展览": currentItem.title == "预定用车"?"预定":""}}</span>
      </el-form-item>
      <el-form-item label="申请说明:">
        <span></span>
      </el-form-item>
    </el-form>
    <div slot="footer" v-if='currentItem.title == "展览用车"' class="dialog-footer">
      <el-button @click="cancel()">取消用车</el-button>
      <el-button type="primary" @click="handelOk()">确 定</el-button>
    </div>
    <div slot="footer" v-else class="dialog-footer">
      <el-button type="primary" @click="agree()">同 意</el-button>
      <el-button @click="notAgree()">不同意</el-button>
    </div>
  </el-dialog>
</template>
<script>
  import {mapGetters} from 'vuex';
  import ElRow from "element-ui/packages/row/src/row";
  import ElCol from "element-ui/packages/col/src/col";
  import ElFormItem from "../../../../node_modules/element-ui/packages/form/src/form-item.vue";
  export default {
    components: {
      ElFormItem,
      ElCol,
      ElRow},
    props: ["currentItem"],
    name: 'vehicleExhibitionModal',
    data() {
      return {
        zhanlan:false,
      }
    },
    created() {
      console.log(this.currentItem);
    },
    watch: {
      zhanlan(newValue, oldValue){
        if(!newValue){
          this.$emit("zhanlanDialogEvent", false);
        }
      },
    },
    mounted() {
      this.zhanlan = true;
    },
    methods: {
      /**
       * 弹框-取消
       * */
      cancel() {
        console.log("展览取消用车");
        this.$emit("zhanlanDialogEvent", true);
      },
      /**
       * 确定用车
       * */
      handelOk(){
        console.log("展览确定用车");
        this.$emit("zhanlanDialogEvent", true);
      },
      /**
       * 同意
       */
      agree(){
        console.log("同意");
        this.$emit("zhanlanDialogEvent", true);
      },
      /**
       * 不同意
       */
      notAgree(){
        console.log("不同意");
        this.$emit("zhanlanDialogEvent", true);
      },
    }
  }
</script>

